import { Vue } from "vue-property-decorator";
import { Task } from "../../types/Task";
import { TaskModule } from "../../modules/TaskModule";
import { ManagerModule } from "../../modules/ManagerModule";
import { Manager } from "../../../../types/Manager";
import { TaskUserModule } from "../../modules/TaskUserModule";
export default class TaskListItem extends Vue {
    task: Task;
    userModule: TaskUserModule;
    taskModule: TaskModule;
    managerModule: ManagerModule;
    isShowOverlay: boolean;
    isShowEditForm: boolean;
    isShowManagersSelect: boolean;
    get candidateUids(): string[];
    get title(): string;
    get subtitleText(): string;
    get creatorManager(): Manager;
    get currentManager(): Manager;
    get isOwnTask(): boolean;
    get currentUserIsPerformer(): boolean;
    get isSearch(): boolean;
    get isEditable(): boolean;
    get hasControls(): boolean;
    get isNoteType(): boolean;
    get isUntil(): boolean;
    get isFinishedTasks(): boolean;
    selectCurrentManager(): void;
    setCandidates(uids: string[]): void;
    setLevel(level: number): void;
    private saveTask;
    hideEditForm(): void;
    removeTask(): void;
    toggleStatus(task: Task): void;
}
